VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::Enumeration Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::Enumeration:

## Avaliable Methods
public method | get ()
public method | new ()
public method | list ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::Enumeration` interface provides methods* to retrieve metamodel information about an enumeration element in the interface definition language.

The `Com::Vmware::Vapi::Metadata::Metamodel::Enumeration` has a list of enumeration value elements.

Constant String::RESOURCE_TYPE # Resource type for enumeration.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::Enumeration::get | ( |  | ) |

Retrieves information about the enumeration element corresponding to `enumeration_id` .

The class Com::Vmware::Vapi::Metadata::Metamodel::EnumerationInfo contains the metamodel information about the enumeration value element contained in the enumeration element.

Parameters

  enumeration_id | [REQUIRED] Identifier of the enumeration element. The value must be an identifier for the resource type getQualifiedName(com.vmware.vapi.enumeration). . The value must be str.

Return values

  The | class Com::Vmware::Vapi::Metadata::Metamodel::EnumerationInfo instance that corresponds to `enumeration_id` The return type will be Com::Vmware::Vapi::Metadata::Metamodel::EnumerationInfo

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the enumeration element associated with `enumeration_id` is not contained in any of the package elements, service elements and structure elements.

Code:
click to view
# Number of lines of code in get: 10
sub get {
my ($self, %args) = @_;
my $enumeration_id = $args {enumeration_id};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Enumeration::list | ( |  | ) |

Returns the identifiers for the enumeration elements that are contained in all the package elements, service elements and structure elements.

Return values

  The | list of identifiers for the enumeration elements. The value will be an identifier for the resource type getQualifiedName(com.vmware.vapi.enumeration). The return type will be Array of str

Code:
click to view
# Number of lines of code in list: 4
sub list {
my ($self, %args) = @_;
return $self->invoke(method_name => 'list', method_args => {});
}

public method Com::Vmware::Vapi::Metadata::Metamodel::Enumeration::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/Enumeration.pm